## python-aodhclient 3.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.4
cliff!=1.16.0,>=1.14.0  # Apache-2.0
osc-lib>=1.0.1 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
keystoneauth1>=1.0.0
pyparsing

=== debian/changelog ===
python-aodhclient (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:05:13 +0200

python-aodhclient (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 13:20:31 +0200

python-aodhclient (2.4.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 09:46:52 +0100

python-aodhclient (2.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Feb 2022 15:57:18 +0100

python-aodhclient (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Jan 2022 11:42:44 +0100

python-aodhclient (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:09:30 +0200

python-aodhclient (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 16:35:01 +0200

python-aodhclient (2.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 10:10:22 +0200

python-aodhclient (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Mar 2021 15:31:42 +0100

=== debian/control ===
Source: python-aodhclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-pyparsing,
 python3-stestr,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-aodhclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-aodhclient.git
Homepage: http://www.openstack.org

Package: python-aodhclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Alarming as a Service - client doc
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the client documentation.

Package: python3-aodhclient
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-osprofiler,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-aodhclient-doc,
Description: OpenStack Alarming as a Service - Python 3.x client
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

MANIFEST_EXCLUDE_STANDARD := aodhclient
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf .testrepository build doc/man

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'aodhclient\.tests\.unit\.(?!.*test_client.ClientAuthTest\.test_discover_auth_versions.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-aodhclient-doc/usr/share/doc/python-aodhclient-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	sphinx-build -b man doc/source doc/man
#	mv doc/man/python-aodhclient.1 doc/man/aodh.1
#	sed -i s/python-aodhclient/python-aodhclient/ doc/man/aodh.1
#	dh_installman -O--buildsystem=python_distutils
#endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-aodhclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-aodhclient 3.2.0

=== requirements.txt ===
--- 
+++ 
@@ -11,3 +11,7 @@
 osprofiler>=1.4.0 # Apache-2.0
 keystoneauth1>=1.0.0
 pyparsing
+SQLAlchemy-Utils<=0.38.3
+sqlalchemy-migrate<=0.13.0
+SQLAlchemy<=1.4.41
+oslo.db<=12.3.1

=== debian/changelog ===
python-aodhclient (3.2.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:52:57 +0200

python-aodhclient (3.2.0-3) experimental; urgency=medium

  * Also lift other dependency limits.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Mar 2023 14:49:18 +0100

python-aodhclient (3.2.0-2) experimental; urgency=medium

  * Add allow-any-version-of-sqlalchemy.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Mar 2023 14:42:06 +0100

python-aodhclient (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Mar 2023 09:14:55 +0100

python-aodhclient (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 13:31:37 +0100

=== debian/control ===
--- 
+++ 
@@ -18,14 +18,18 @@
  python3-hacking,
  python3-keystoneauth1,
  python3-keystonemiddleware,
+ python3-migrate,
  python3-openstackdocstheme,
  python3-osc-lib,
+ python3-oslo.db (>= 12.3.1),
  python3-oslo.i18n,
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-oslotest,
  python3-osprofiler,
  python3-pyparsing,
+ python3-sqlalchemy,
+ python3-sqlalchemy-utils,
  python3-stestr,
  python3-tempest,
  python3-testscenarios,
@@ -57,12 +61,16 @@
 Depends:
  python3-cliff,
  python3-keystoneauth1,
+ python3-migrate,
  python3-osc-lib,
+ python3-oslo.db (>= 12.3.1),
  python3-oslo.i18n,
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-osprofiler,
  python3-pbr,
+ python3-sqlalchemy,
+ python3-sqlalchemy-utils,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-aodhclient 3.3.0

=== debian/changelog ===
python-aodhclient (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed 4 runtimes depends as per upstream.
  * Fix patches, removing allow-any-version-of-sqlalchemy.patch and adding
    fix-dev-reqs.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 12:53:32 +0200

python-aodhclient (3.2.0-5) unstable; urgency=medium

  * Cleans better (Closes: #1048995).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 13:46:09 +0200

=== debian/control ===
--- 
+++ 
@@ -61,16 +61,12 @@
 Depends:
  python3-cliff,
  python3-keystoneauth1,
- python3-migrate,
  python3-osc-lib,
- python3-oslo.db (>= 12.3.1),
  python3-oslo.i18n,
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-osprofiler,
  python3-pbr,
- python3-sqlalchemy,
- python3-sqlalchemy-utils,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf .testrepository build doc/man
+	rm -rf doc/man build .stestr *.egg-info doc/source/ref
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-aodhclient 3.4.0

=== debian/changelog ===
python-aodhclient (3.4.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 10:35:14 +0000

python-aodhclient (3.3.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/p/drop-upper-constraints-requirements.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 16:51:55 -0400

python-aodhclient (3.2.0-0ubuntu2) lunar; urgency=medium

  * d/p/drop-upper-constraints-requirements.patch: Drop upper-constraint
    pinning from requirements.txt to fix package installs.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Mar 2023 09:54:52 -0400

python-aodhclient (3.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 13:40:58 -0400

python-aodhclient (3.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Sep 2022 16:36:58 -0400

## python-aodhclient 3.5.1

=== requirements.txt ===
pbr>=1.4
cliff!=1.16.0,>=1.14.0  # Apache-2.0
osc-lib>=1.0.1 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
keystoneauth1>=1.0.0
pyparsing

=== debian/changelog ===
python-aodhclient (3.5.1-0ubuntu1) noble; urgency=medium

  * New upstream point release for OpenStack Caracal. 

 -- James Page <james.page@canonical.com>  Mon, 11 Mar 2024 10:10:24 +0000

python-aodhclient (3.5.0-0ubuntu1) noble; urgency=medium

  * New upstream point release for OpenStack Caracal. 
  * d/control: Add os-client-config to BD's.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 09:45:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,44 +1,44 @@
 Source: python-aodhclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 1.4),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-cliff,
- python3-coverage,
- python3-hacking,
- python3-keystoneauth1,
+ python3-cliff (>= 1.14.0),
+ python3-keystoneauth1 (>= 1.0.0),
  python3-keystonemiddleware,
  python3-migrate,
- python3-openstackdocstheme,
- python3-osc-lib,
- python3-oslo.db (>= 12.3.1),
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
+ python3-mock,
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-os-client-config,
+ python3-osc-lib (>= 1.0.1),
+ python3-oslo.i18n (>= 1.5.0),
+ python3-oslo.serialization (>= 1.4.0),
+ python3-oslo.utils (>= 2.0.0),
  python3-oslotest,
- python3-osprofiler,
+ python3-osprofiler (>= 1.4.0),
  python3-pyparsing,
  python3-sqlalchemy,
  python3-sqlalchemy-utils,
- python3-stestr,
+ python3-subunit,
  python3-tempest,
+ python3-testrepository,
  python3-testscenarios,
  python3-testtools,
- subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-aodhclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-aodhclient.git
-Homepage: http://www.openstack.org
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-aodhclient
+Homepage: https://www.openstack.org
+Testsuite: autopkgtest-pkg-python
 
 Package: python-aodhclient-doc
 Section: doc
@@ -59,14 +59,19 @@
 Package: python3-aodhclient
 Architecture: all
 Depends:
- python3-cliff,
- python3-keystoneauth1,
- python3-osc-lib,
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-osprofiler,
- python3-pbr,
+ python3-cliff (>= 1.14.0),
+ python3-keystoneauth1 (>= 1.0.0),
+ python3-migrate,
+ python3-osc-lib (>= 1.0.1),
+ python3-oslo.db,
+ python3-oslo.i18n (>= 1.5.0),
+ python3-oslo.serialization (>= 1.4.0),
+ python3-oslo.utils (>= 2.0.0),
+ python3-osprofiler (>= 1.4.0),
+ python3-pbr (>= 1.4),
+ python3-pyparsing,
+ python3-sqlalchemy,
+ python3-sqlalchemy-utils,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-aodhclient 3.6.0

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 pbr>=1.4
-cliff!=1.16.0,>=1.14.0  # Apache-2.0
+cliff>=1.17.0  # Apache-2.0
 osc-lib>=1.0.1 # Apache-2.0
 oslo.i18n>=1.5.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0

=== debian/changelog ===
python-aodhclient (3.6.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090461).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 12:06:06 +0100

python-aodhclient (3.6.0-3) unstable; urgency=medium

  * d/watch: use mode=git.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2024 14:01:00 +0100

python-aodhclient (3.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 09:30:40 +0200

python-aodhclient (3.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Sep 2024 14:09:10 +0200

python-aodhclient (3.5.1-3) unstable; urgency=medium

  * Removed python3-migrate build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2024 07:55:24 +0200

python-aodhclient (3.5.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:00:21 +0200

python-aodhclient (3.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Rebased fix-dev-reqs.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Mar 2024 19:33:29 +0100

python-aodhclient (3.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased fix-dev-reqs.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 21:15:12 +0100

python-aodhclient (3.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:25:49 +0200

=== debian/watch ===
version=3
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-aodhclient refs/tags/(\d[brc\d\.]+)

## python-aodhclient 3.7.0

=== debian/changelog ===
python-aodhclient (3.7.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 09:26:02 +0000

python-aodhclient (3.6.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 16:27:46 +0100

python-aodhclient (3.5.1-0ubuntu2) oracular; urgency=medium

  * d/control: Tidy build and runtime dependencies inline with actual
    upstream requirements.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2024 12:00:10 +0100

## python-aodhclient 3.7.1

=== debian/changelog ===
python-aodhclient (3.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:42:30 +0100

python-aodhclient (3.7.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Mar 2025 16:20:44 +0100

python-aodhclient (3.7.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.
  * Remove fix-dev-reqs.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 13:50:37 +0100

=== debian/control ===
Source: python-aodhclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.db (>= 12.3.1),
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-pyparsing,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stestr,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-aodhclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-aodhclient.git
Homepage: http://www.openstack.org

Package: python-aodhclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Alarming as a Service - client doc
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the client documentation.

Package: python3-aodhclient
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-osprofiler,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-aodhclient-doc,
Description: OpenStack Alarming as a Service - Python 3.x client
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-aodhclient refs/tags/(\d[brc\d\.]+)

## python-aodhclient 3.9.0

=== debian/changelog ===
python-aodhclient (3.9.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/control: Align (Build-)Depends with upstream. 
  * d/watch: Add validation of Flamingo signing key.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 14 Jul 2025 14:24:18 -0700

python-aodhclient (3.7.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 06 Mar 2025 14:54:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,43 @@
 Source: python-aodhclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.1.1),
 Build-Depends-Indep:
- python3-cliff,
- python3-coverage,
- python3-hacking,
- python3-keystoneauth1,
+ python3-cliff (>= 1.17.0),
+ python3-keystoneauth1 (>= 1.0.0),
  python3-keystonemiddleware,
- python3-openstackdocstheme,
- python3-osc-lib,
- python3-oslo.db (>= 12.3.1),
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-oslotest,
- python3-osprofiler,
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-os-client-config (>= 1.28.0),
+ python3-osc-lib (>= 1.0.1),
+ python3-oslo.i18n (>= 1.5.0),
+ python3-oslo.serialization (>= 1.4.0),
+ python3-oslo.utils (>= 2.0.0),
+ python3-oslotest (>= 1:1.10.0),
+ python3-osprofiler (>= 1.4.0),
  python3-pyparsing,
  python3-sqlalchemy,
  python3-sqlalchemy-utils,
- python3-stestr,
- python3-tempest,
+ python3-stestr (>= 2.0.0),
+ python3-subunit,
+ python3-tempest (>= 1:10),
+ python3-testrepository,
  python3-testscenarios,
- python3-testtools,
- subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-aodhclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-aodhclient.git
-Homepage: http://www.openstack.org
+ python3-testtools (>= 1.4.0),
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-aodhclient
+Homepage: https://www.openstack.org
+Testsuite: autopkgtest-pkg-python
 
 Package: python-aodhclient-doc
 Section: doc
@@ -58,14 +58,15 @@
 Package: python3-aodhclient
 Architecture: all
 Depends:
- python3-cliff,
- python3-keystoneauth1,
- python3-osc-lib,
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-osprofiler,
- python3-pbr,
+ python3-cliff (>= 1.17.0),
+ python3-keystoneauth1 (>= 1.0.0),
+ python3-osc-lib (>= 1.0.1),
+ python3-oslo.i18n (>= 1.5.0),
+ python3-oslo.serialization (>= 1.4.0),
+ python3-oslo.utils (>= 2.0.0),
+ python3-osprofiler (>= 1.4.0),
+ python3-pbr (>= 2.0),
+ python3-pyparsing,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-aodhclient 3.9.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=2.0 # Apache-2.0
cliff>=1.17.0  # Apache-2.0
osc-lib>=1.0.1 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
keystoneauth1>=1.0.0
pyparsing>2.1.0 # MIT

=== debian/changelog ===
python-aodhclient (3.9.1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 16 Sep 2025 11:37:36 -0700

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
  python3-cliff (>= 1.17.0),
  python3-keystoneauth1 (>= 1.0.0),
  python3-keystonemiddleware,
+ python3-openstacksdk (>= 0.10.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-client-config (>= 1.28.0),
  python3-osc-lib (>= 1.0.1),

=== debian/tests/control ===
Tests: client
Depends:
 python3-aodhclient,

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/python-aodhclient/ aodhclient-(\d.*)\.tar\.gz

## python-aodhclient 3.10.0

=== debian/changelog ===
python-aodhclient (3.10.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 3.10.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 20 Feb 2026 10:51:24 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/python-aodhclient/ aodhclient-(\d.*)\.tar\.gz

## python-aodhclient 3.10.1

=== debian/changelog ===
python-aodhclient (3.10.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 15:13:32 +0100

python-aodhclient (3.10.0-2) experimental; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 11:52:37 +0100

python-aodhclient (3.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 11:38:33 +0100

python-aodhclient (3.9.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1048995).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 11:27:36 +0100

python-aodhclient (3.9.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:39:09 +0200

python-aodhclient (3.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-openstacksdk as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Aug 2025 14:42:29 +0200

=== debian/control ===
Source: python-aodhclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-hacking,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-osc-lib,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-pyparsing,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stestr,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-aodhclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-aodhclient.git
Homepage: http://www.openstack.org

Package: python-aodhclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Alarming as a Service - client doc
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the client documentation.

Package: python3-aodhclient
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-osprofiler,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-aodhclient-doc,
Description: OpenStack Alarming as a Service - Python 3.x client
 Aodh provides alarming for OpenStack. The alarming component of Aodh, first
 delivered in the Havana version, allows you to set alarms based on threshold
 evaluation for a collection of samples. An alarm can be set on a single meter,
 or on a combination. For example, you may want to trigger an alarm when the
 memory consumption reaches 70% on a given instance if the instance has been up
 for more than 10 min.
 .
 This package contains the Python 3.x module.
